package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundRiskStats;
import com.tanpu.fund.entity.generator.FundRiskStatsExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundRiskStatsMapper {
    long countByExample(FundRiskStatsExample example);

    int deleteByExample(FundRiskStatsExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundRiskStats record);

    int insertOrUpdate(FundRiskStats record);

    int insertOrUpdateSelective(FundRiskStats record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundRiskStats record);

    List<FundRiskStats> selectByExample(FundRiskStatsExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundRiskStats selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundRiskStats record, @Param("example") FundRiskStatsExample example);

    int updateByExample(@Param("record") FundRiskStats record, @Param("example") FundRiskStatsExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundRiskStats record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundRiskStats record);

    int updateBatch(List<FundRiskStats> list);

    int batchInsert(@Param("list") List<FundRiskStats> list);
}